
# See https://community.kde.org/KTp/Setting_up_KAccounts#libaccounts-qt
# "Note that at this very day libaccounts-qt qmake does **NOT** support compiling the library outside the source directory"
# which means libaccounts-qt and libaccounts-qt5 currently cannot be built from the same source package

%global commit0 2a9cc22ff7b0b62b60541423763cb3dd992c0f40

Name:           libaccounts-qt5
Summary:        Accounts framework Qt 5 bindings
Version:        1.13
Release:        7%{?dist}

License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/libaccounts-qt

Source0:        https://gitlab.com/accounts-sso/libaccounts-qt/repository/archive.tar.gz?ref=%{version}#/libaccounts-qt-%{version}-%{commit0}.tar.gz

Patch1:         libaccounts-qt-64bitarchs.patch

## upstream patches
Patch102: 0002-Fix-memory-leaks-found-by-valgrind.patch
patch105: 0005-Use-gboolean-instead-of-bool.patch

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
Framework to provide accounts for Qt 5.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Headers, development libraries and documentation for %{name}.

%package        doc
Summary:        User and developer documentation for %{name}
BuildArch:      noarch
%description    doc
%{summary}.


%prep
%setup -q -n libaccounts-qt-%{version}-%{commit0}

%patch1 -p1 -b .64bitarchs
%patch102 -p1 -b .0002
%patch105 -p1 -b .0005


%build
%{qmake_qt5} \
    QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release \
    accounts-qt.pro

make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}

rm -fv %{buildroot}/%{_datadir}/doc/accounts-qt/html/installdox

#remove tests for now
rm -rf %{buildroot}%{_datadir}/libaccounts-qt-tests
rm -f %{buildroot}%{_bindir}/accountstest

# Make sure we don't conflict with Qt 5 version
mv %{buildroot}%{_docdir}/accounts-qt{,5}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libaccounts-qt5.so.*

%files devel
%{_libdir}/libaccounts-qt5.so
%{_includedir}/accounts-qt5/
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_libdir}/cmake/AccountsQt5

%files doc
%{_docdir}/accounts-qt5/


%changelog
* Mon Sep 28 2015 Rex Dieter <rdieter@fedoraproject.org> 1.13-7
- better/fresh gitlab sources, use %%qmake_qt5 macro

* Mon Sep 28 2015 Rex Dieter <rdieter@fedoraproject.org> - 1.13-6
- .spec cosmetics, update URL
- pull in some upstream fixes
- -doc: make noarch

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.13-4
- Rebuilt for GCC 5 C++11 ABI change

* Wed Apr  8 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.13-3
- Correct aarch64 naming

* Tue Mar 31 2015 Daniel Vrátil <dvratil@redhat.com> - 1.13-2
- fix aarch64 detection in 64bitarchs patch

* Tue Mar 17 2015 Daniel Vrátil <dvratil@redhat.com> - 1.13-1
- Initial version (based on accounts-qt)
